from dataclasses import dataclass

@dataclass
class KodiTime:
    hours: int
    minutes: int
    seconds: int

def seconds_to_kodi_format(seconds: int) -> KodiTime:
    """Convert seconds into hours, minutes, and seconds as Kodi wants that."""
    hours = seconds // 3600
    seconds -= hours * 3600
    minutes = seconds // 60
    seconds -= minutes * 60
    return KodiTime(
        hours=hours,
        minutes=minutes,
        seconds=seconds,
    )
